select
    an.numero
    , an.nome
    , se.nome setor_atual
    , an.dtnascimento
    , (case avg(an.cdcategoria)
        when 6 then 'Novilha'
        when 7 then 'Vaca'
    else null end) as cat_animal
    , (case
        when sum((case when rep.cdtiporeproducao = 1 then 1 else 0 end)) > 0
            and sum((case when rep.cdtiporeproducao = 2 then 1 else 0 end)) > 0
            and sum((case when rep.cdtiporeproducao = 3 then 1 else 0 end)) > 0 then 'IA TE COB'
        when sum((case when rep.cdtiporeproducao = 1 then 1 else 0 end)) > 0
            and sum((case when rep.cdtiporeproducao = 2 then 1 else 0 end)) > 0
            and sum((case when rep.cdtiporeproducao = 3 then 1 else 0 end)) <= 0 then 'IA COB'
        when sum((case when rep.cdtiporeproducao = 1 then 1 else 0 end)) > 0
            and sum((case when rep.cdtiporeproducao = 2 then 1 else 0 end)) <= 0
            and sum((case when rep.cdtiporeproducao = 3 then 1 else 0 end)) > 0 then 'IA TE'
        when sum((case when rep.cdtiporeproducao = 1 then 1 else 0 end)) <= 0
            and sum((case when rep.cdtiporeproducao = 2 then 1 else 0 end)) > 0
            and sum((case when rep.cdtiporeproducao = 3 then 1 else 0 end)) > 0 then 'TE COB'
        when sum((case when rep.cdtiporeproducao = 1 then 1 else 0 end)) > 0
            and sum((case when rep.cdtiporeproducao = 2 then 1 else 0 end)) <= 0
            and sum((case when rep.cdtiporeproducao = 3 then 1 else 0 end)) <= 0 then 'IA'
        when sum((case when rep.cdtiporeproducao = 1 then 1 else 0 end)) <= 0
            and sum((case when rep.cdtiporeproducao = 2 then 1 else 0 end)) > 0
            and sum((case when rep.cdtiporeproducao = 3 then 1 else 0 end)) <= 0 then 'COB'
        when sum((case when rep.cdtiporeproducao = 1 then 1 else 0 end)) <= 0
            and sum((case when rep.cdtiporeproducao = 2 then 1 else 0 end)) <= 0
            and sum((case when rep.cdtiporeproducao = 3 then 1 else 0 end)) > 0 then 'TE'
        when sum((case when rep.cdtiporeproducao = 1 then 1 else 0 end)) <= 0
            and sum((case when rep.cdtiporeproducao = 2 then 1 else 0 end)) <= 0
            and sum((case when rep.cdtiporeproducao = 3 then 1 else 0 end)) <= 0
            and sum((case when prog.cdprogramacaoiatfassociacao > 0 then 1 else 0 end)) > 0 then 'Apenas Programao'
    else 'No Trabalhada' end) as trabalhada_em
from animal an
    left join setor se on se.cdsetor = an.cdsetor
    left join reproducao rep on
        rep.cdanimal = an.cdanimal
        and rep.cdtiporeproducao in (1,2,3)
-- DATA 1 DE 3 ---- Colocar o periodo desejado AAAA-MM-DD
        and rep.data between '2015-11-01' and '2200-01-01'
    left join programacaoiatfassociacao prog on
        prog.cdanimal = an.cdanimal
        and prog.cdprogramacaoiatf in (select p.cdprogramacaoiatf from programacaoiatf p
-- DATA 2 DE 3 ---- Colocar o periodo desejado AAAA-MM-DD
            where p.dtimplante between '2015-11-01' and '2200-01-01')
where an.sexo = 'F'
    and an.cdcategoria in (7)
    and an.animalrebanho = 1
    and an.dtbaixa is null
group by an.numero, se.nome, an.nome, an.dtnascimento

UNION

select
    an.numero
    , an.nome
    , se.nome as setor_atual
    , an.dtnascimento
    , (case avg(an.cdcategoria)
        when 6 then 'Novilha'
        when 7 then 'Vaca'
    else null end) as cat_animal
    , (case
        when sum((case when rep.cdtiporeproducao = 1 then 1 else 0 end)) > 0
            and sum((case when rep.cdtiporeproducao = 2 then 1 else 0 end)) > 0
            and sum((case when rep.cdtiporeproducao = 3 then 1 else 0 end)) > 0 then 'IA TE COB'
        when sum((case when rep.cdtiporeproducao = 1 then 1 else 0 end)) > 0
            and sum((case when rep.cdtiporeproducao = 2 then 1 else 0 end)) > 0
            and sum((case when rep.cdtiporeproducao = 3 then 1 else 0 end)) <= 0 then 'IA COB'
        when sum((case when rep.cdtiporeproducao = 1 then 1 else 0 end)) > 0
            and sum((case when rep.cdtiporeproducao = 2 then 1 else 0 end)) <= 0
            and sum((case when rep.cdtiporeproducao = 3 then 1 else 0 end)) > 0 then 'IA TE'
        when sum((case when rep.cdtiporeproducao = 1 then 1 else 0 end)) <= 0
            and sum((case when rep.cdtiporeproducao = 2 then 1 else 0 end)) > 0
            and sum((case when rep.cdtiporeproducao = 3 then 1 else 0 end)) > 0 then 'TE COB'
        when sum((case when rep.cdtiporeproducao = 1 then 1 else 0 end)) > 0
            and sum((case when rep.cdtiporeproducao = 2 then 1 else 0 end)) <= 0
            and sum((case when rep.cdtiporeproducao = 3 then 1 else 0 end)) <= 0 then 'IA'
        when sum((case when rep.cdtiporeproducao = 1 then 1 else 0 end)) <= 0
            and sum((case when rep.cdtiporeproducao = 2 then 1 else 0 end)) > 0
            and sum((case when rep.cdtiporeproducao = 3 then 1 else 0 end)) <= 0 then 'COB'
        when sum((case when rep.cdtiporeproducao = 1 then 1 else 0 end)) <= 0
            and sum((case when rep.cdtiporeproducao = 2 then 1 else 0 end)) <= 0
            and sum((case when rep.cdtiporeproducao = 3 then 1 else 0 end)) > 0 then 'TE'
        when sum((case when rep.cdtiporeproducao = 1 then 1 else 0 end)) <= 0
            and sum((case when rep.cdtiporeproducao = 2 then 1 else 0 end)) <= 0
            and sum((case when rep.cdtiporeproducao = 3 then 1 else 0 end)) <= 0
            and sum((case when prog.cdprogramacaoiatfassociacao > 0 then 1 else 0 end)) > 0 then 'Apenas Programao'
    else 'No Trabalhada' end) as trabalhada_em
from animal an
    left join setor se on se.cdsetor = an.cdsetor
    left join reproducao rep on
        rep.cdanimal = an.cdanimal
        and rep.cdtiporeproducao in (1,2,3)
    left join programacaoiatfassociacao prog on
        prog.cdanimal = an.cdanimal
        and prog.cdprogramacaoiatf in (select p.cdprogramacaoiatf from programacaoiatf p
-- DATA 3 DE 3 ---- Colocar o periodo desejado AAAA-MM-DD
            where p.dtimplante between '2015-11-01' and '2200-01-01')
where an.sexo = 'F'
    and an.cdcategoria in (6)
    and an.animalrebanho = 1
    and an.dtbaixa is null
group by an.numero, se.nome, an.nome, an.dtnascimento

order by 1
